Class | Fog::DNS::AWS::Records
In: | lib/fog/aws/models/dns/records.rb
Parent: | Fog::Collection

### Methods

all all! get new

### Public Instance methods

all(options = {})
all!()

Load all zone records into the collection.

get(record_name, record_type = nil, record_identifier = nil)

AWS Route 53 records are uniquely identified by a compound key of name, type, and identifier. get allows one to retrieve a record using one or more of those key components.

#### Parameters

- record_name - The name of the record to retrieve.
- record_type - The type of record to retrieve, if nil, then the first matching record is returned.
- record_identifier - The record set identifier to retrieve, if nil, then the first matching record is returned.

new(attributes = {})

[Validate]